# DataExchange
TKSTEPBase
StepShape

# StepShape_ManifoldSolidBrep Class Reference

`#include <StepShape_ManifoldSolidBrep.hxx>`

Inheritance diagram for StepShape_ManifoldSolidBrep:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ManifoldSolidBrep ()
| Returns a ManifoldSolidBrep .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter)
Standard_EXPORT void | SetOuter (const Handle(StepShape_ClosedShell)&aOuter)
Standard_EXPORT Handle_StepShape_ClosedShell | Outer () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_ClosedShell | outer

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ManifoldSolidBrep::StepShape_ManifoldSolidBrep | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ManifoldSolidBrep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SolidModel. Reimplemented in StepShape_BrepWithVoids, StepShape_FacetedBrep, and StepShape_FacetedBrepAndBrepWithVoids.

virtual Standard_EXPORT void StepShape_ManifoldSolidBrep::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter
| ) | `[virtual]`

| Reimplemented in StepShape_BrepWithVoids, and StepShape_FacetedBrepAndBrepWithVoids.

virtual Standard_EXPORT void StepShape_ManifoldSolidBrep::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepShape_ClosedShell StepShape_ManifoldSolidBrep::Outer | ( |  | ) | const

Standard_EXPORT void StepShape_ManifoldSolidBrep::SetOuter | ( | const Handle(StepShape_ClosedShell)& | aOuter | ) |

## Field Documentation

Handle_StepShape_ClosedShell StepShape_ManifoldSolidBrep::outer `[private]`

The documentation for this class was generated from the following file:

- StepShape_ManifoldSolidBrep.hxx